Page MenuHomePhabricator

[Story] create documentation of php data model
Open, LowPublic

Description

We need to create a high level documentation of our php data model.

Details

Reference
bz73604

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:53 AM
bzimport set Reference to bz73604.
bzimport added a subscriber: Unknown Object (MLST).

Why is this under "Repo"?

The reality is in the implementation of the PHP DataModel. And we don't high level documentation for it (yet) that could get out of date. So I do not understand what this is about.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:29 PM
JanZerebecki renamed this task from update documentation of php data model to create documentation of php data model.Dec 28 2014, 5:02 PM
JanZerebecki updated the task description. (Show Details)
Snaterlicious added a subscriber: Snaterlicious.EditedFeb 18 2015, 3:34 PM

While trying to compile some high-level documentation, I figured out that that does not make much sense without some proper visualization. Consequently, I started drawing out the data model as that is the component where basically all of the terms "derive" from. The original intention was to not go into too much of detail -- then again, how to avoid? Working on high-level documentation requires having an overview first. Currently there is no way to get the complete picture without crawling through all the code and doxygen diagrams do not really provide useful.
For high-level documentation (i.e. T75603), the diagram should be stripped down considerably. Nonetheless, overall documentation would benefit a lot from having and maintaining that detailed view on the core component.
Please feel free to review the diagram, I would really like to get the picture right:

Snaterlicious added a comment.EditedFeb 23 2015, 12:48 PM


Added DataTypes/DataType and some more associations.

As the PHP data model 2.6 has been released and no additional changes that would affect the diagram have been made since the diagram's last version, I propose embedding it on https://github.com/wmde/WikibaseDataModel just like it is done on https://github.com/wmde/WikibaseDataModelJavaScript as long as there are no objections against the diagram content. (I assume there are none as there was enough time to review.)
Since the generated code documentation is already on http://wbdoc.wmflabs.org/, I propose closing this ticket after embedding the diagram. (I doubt it would make sense to create another diagram for differs and patchers.)

@thiemowmde @JeroenDeDauw @daniel @JanZerebecki @aude
Do you have comments/suggestions on the content of the diagram and do you agree embedding it in the repository?

I would welcome adding it to the git repo. How do we update it?

I think T92365 should be solved on that.

Having such a diagram would be nice.

Something along the lines of what is on these slides as well: http://jeroendedauw.github.io/slides/smwcon/2014fall/wikibase/#/3/1 Since this is conceptual, maintenance for that should be very low

What I'd really like to have is such a simple conceptual overview together with some pointers on where to find code dealing with each part of it.

JanZerebecki lowered the priority of this task from High to Normal.May 16 2015, 5:34 PM
Jonas renamed this task from create documentation of php data model to [Story] create documentation of php data model.Aug 13 2015, 7:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 7:19 PM

Can this be closed or merged with another task or story?

Which one are you suggesting?

Why merge a story with a task if that would be the correct thing to do either the definition and differentiation of story and task is inconsistent or one of them is incorrectly labeled?

Jc3s5h added a subscriber: Jc3s5h.Sep 1 2015, 1:49 PM